package cn.iocoder.yudao.module.jx.service;

import cn.iocoder.yudao.module.jx.domain.DriveSchoolPhone;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 客服Service接口
 *
 * @author ruoyi
 * @date 2024-05-10
 */
public interface IDriveSchoolPhoneService
{
    /**
     * 查询客服
     *
     * @param id 客服主键
     * @return 客服
     */
    public DriveSchoolPhone selectDriveSchoolPhoneById(Long id);

    /**
     * 查询客服列表
     *
     * @param driveSchoolPhone 客服
     * @return 客服集合
     */
    public IPage<DriveSchoolPhone> selectDriveSchoolPhoneList(DriveSchoolPhone driveSchoolPhone, Page<DriveSchoolPhone> page);

    /**
     * 新增客服
     *
     * @param driveSchoolPhone 客服
     * @return 结果
     */
    public int insertDriveSchoolPhone(DriveSchoolPhone driveSchoolPhone);

    /**
     * 修改客服
     *
     * @param driveSchoolPhone 客服
     * @return 结果
     */
    public int updateDriveSchoolPhone(DriveSchoolPhone driveSchoolPhone);

    /**
     * 批量删除客服
     *
     * @param ids 需要删除的客服主键集合
     * @return 结果
     */
    public int deleteDriveSchoolPhoneByIds(Long[] ids);

    /**
     * 删除客服信息
     *
     * @param id 客服主键
     * @return 结果
     */
    public int deleteDriveSchoolPhoneById(Long id);

    DriveSchoolPhone getPhone(DriveSchoolPhone driveSchoolPhone);
}
